package com.dgtly.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 磁铁日志对象 sys_magnet_log
 * 
 * @author dgtly
 * @date 2021-07-29
 */
public class SysMagnetLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 访问者名称 */
    @Excel(name = "访问者名称")
    private String userName;

    /** 域账号 */
    @Excel(name = "域账号")
    private String loginName;

    /** 员工编号 */
    @Excel(name = "员工编号")
    private String sapEmployeeId;

    /** 组织code */
    @Excel(name = "组织code")
    private String orgCode;

    /** 组织名称 */
    @Excel(name = "组织名称")
    private String orgName;

    /** 用户级别 */
    @Excel(name = "用户级别")
    private String level;

    /** 磁铁名称 */
    @Excel(name = "磁铁名称")
    private String magnetName;

    /** 创建时间 */
    @Excel(name = "访问时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 创建时间 */
    @Excel(name = "结束访问时间（仅渠道看板、产品看板、会员看板）", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 停留时长 */
    @Excel(name = "停留时长（单位：秒）")
    private Long stayDuration;

    /** 移动端/电脑端 */
    private Long whatEnd;

    /** 移动端/电脑端 */
    @Excel(name = "移动端/电脑端")
    private String whatEndStr;


    //shopCode服务商编码，salesOfficeName大区，salesCompanyName公司，subOfficeName销售部
    @Excel(name = "服务商编码")
    private String shopCode;

    @Excel(name = "大区名称")
    private String salesOfficeName;

    @Excel(name = "公司名称")
    private String salesCompanyName;

    @Excel(name = "销售部名称")
    private String subOfficeName;


    public String getShopCode() {
        return shopCode;
    }

    public void setShopCode(String shopCode) {
        this.shopCode = shopCode;
    }

    public String getSalesOfficeName() {
        return salesOfficeName;
    }

    public void setSalesOfficeName(String salesOfficeName) {
        this.salesOfficeName = salesOfficeName;
    }

    public String getSalesCompanyName() {
        return salesCompanyName;
    }

    public void setSalesCompanyName(String salesCompanyName) {
        this.salesCompanyName = salesCompanyName;
    }

    public String getSubOfficeName() {
        return subOfficeName;
    }

    public void setSubOfficeName(String subOfficeName) {
        this.subOfficeName = subOfficeName;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getSapEmployeeId() {
        return sapEmployeeId;
    }

    public void setSapEmployeeId(String sapEmployeeId) {
        this.sapEmployeeId = sapEmployeeId;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getMagnetName() {
        return magnetName;
    }

    public void setMagnetName(String magnetName) {
        this.magnetName = magnetName;
    }

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public Date getUpdateTime() {
        return updateTime;
    }

    @Override
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getStayDuration() {
        return stayDuration;
    }

    public void setStayDuration(Long stayDuration) {
        this.stayDuration = stayDuration;
    }

    public Long getWhatEnd() {
        return whatEnd;
    }

    public void setWhatEnd(Long whatEnd) {
        this.whatEnd = whatEnd;
    }

    public String getWhatEndStr() {
        return whatEndStr;
    }

    public void setWhatEndStr(String whatEndStr) {
        this.whatEndStr = whatEndStr;
    }

    @Override
    public String toString() {
        return "SysMagnetLog{" +
                "id=" + id +
                ", userId=" + userId +
                ", userName='" + userName + '\'' +
                ", loginName='" + loginName + '\'' +
                ", sapEmployeeId='" + sapEmployeeId + '\'' +
                ", orgCode='" + orgCode + '\'' +
                ", orgName='" + orgName + '\'' +
                ", level='" + level + '\'' +
                ", magnetName='" + magnetName + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", stayDuration=" + stayDuration +
                ", whatEnd=" + whatEnd +
                '}';
    }
}
